#
# spec file for package ghc-hcwiid
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hcwiid
Name:           ghc-%{pkg_name}
Version:        0.0.6.1
Release:        5.5
Summary:        Library to interface with the wiimote
License:        GPL-2.0-or-later
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  bluez-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
BuildRequires:  libcwiid-devel

%description
HCWiid is a working userspace driver along with various applications
implementing event drivers, multiple wiimote connectivity, gesture recognition,
and other Wiimote-based functionality.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       bluez-devel
Requires:       ghc-compiler = %{ghc_version}
Requires:       libcwiid-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license COPYING

%files devel -f %{name}-devel.files
%doc CHANGELOG README.md

%changelog
* Wed Mar 14 2018 psimons@suse.com
- Update hcwiid to version 0.0.6.1.
  A more detailed change log is not available.
